mplist_set(3m17n)

NAME
mplist_set - Set the first property in a property list.

SYNOPSIS
MPlist* mplist_set (MPlist * plist, MSymbol key, void * val)

DESCRIPTION
Set the first property in a property list.

The mplist_set() function sets the key and the value of the first property in property list plist to key and value, respectively. See the documentation of mplist_add() for the restriction on key and val.

RETURN VALUE

    If the operation was successful, mplist_set() returns plist. Otherwise, it returns NULL.

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.